'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (sandbox, src, done) {
  return fetch(src).then(function (res) {
    if (res.status < 300) {
      return res.text();
    }

    throw new Error('Request has failed');
  }).then(function (content) {
    sandbox.executeWindow.eval(content);

    if (done) {
      done();
    }
  }).catch(function (err) {
    if (done) {
      done(err);
      return;
    }

    throw err;
  });
};
//# sourceMappingURL=loader.js.map