# API Notebook React component

## Install

```
npm install api-notebook
```

## Usage

Check playground for a sample usage.

```jsx
import { Notebook } from 'api-notebook';

<Notebook
  blockNumber={blockNumber}
  isFocused={isFocused}
  notebookState={notebookState}
  onBlur={onBlurFn}
  onChange={onChangeFn}
  onFocus={onFocusFn}
  onExecute={onExecuteFn}
  sandbox={sandboxElement}
  loaderPath={loaderPath}
  ramlClientConfig={ramlClientConfig}
/>
```

### As a standalone application

```jsx
import { Standalone } from 'api-notebook';

ReactDOM.render(<Standalone
  content={content}
  blockNumber={blockNumber}
  loaderPath={notebookLoaderPath}
  sandbox={sandbox}
  ramlClientConfig={ramlClientConfig}
/>, myElement);
```
