export default function (sandbox, src, done) {
  return fetch(src)
    .then((res) => {
      if (res.status < 300) {
        return res.text();
      }

      throw new Error('Request has failed');
    })
    .then((content) => {
      sandbox.executeWindow.eval(content);

      if (done) {
        done();
      }
    })
    .catch((err) => {
      if (done) {
        done(err);
        return;
      }

      throw err;
    });
}
